Bug 1279650 - Review Request: perl-Text-Brew - Implementation of the Brew edit distance
Review Request: perl-Text-Brew - Implementation of the Brew edit distance
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 18:33 EST by Emmanuel Seyman
Modified: 2015-11-25 01:58 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Text-Brew-0.02-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 01:58:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2015-11-09 18:33:09 EST
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Text-Brew/perl-Text-Brew.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Text-Brew/perl-Text-Brew-0.02-2.fc22.src.rpm
Description:
This module implements the Brew edit distance that is very close to the
dynamic programming technique used for the Wagner-Fischer (and so for the
Levenshtein) edit distance.

Fedora Account System Username: eseyman
Rpmlint output: 1 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Upstream Release Monitoring 2015-11-10 03:35:29 EST
jplesnik's scratch build of perl-Text-Brew-0.02-2.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11766552
Comment 2 Jitka Plesnikova 2015-11-10 04:25:55 EST
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --requires perl-Text-Brew-0.02-2.fc24.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(Carp)
      1 perl(Exporter)
      1 perl(constant)
      1 perl(strict)
      1 perl(vars)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Text-Brew-0.02-2.fc24.noarch.rpm | sort | uniq -c
      1 perl(Text::Brew) = 0.02
      1 perl-Text-Brew = 0.02-2.fc24
Binary provides are Ok.

$ rpmlint ./perl-Text-Brew*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

BuildRequires
FIX: Please add following BRs
  - make - used in spec file
  - perl(warnings) - lib/Text/Brew.pm:4, Makefile.PL:2
FIX: Remove perl(Exporter), it is listed twice.
TODO: Please sort the list of BRs.

Please correct all 'FIX' issues and consider fixing 'TODO' item

Otherwise package looks good.
APPROVED.
Comment 3 Gwyn Ciesla 2015-11-10 09:58:44 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Text-Brew
Comment 4 Fedora Update System 2015-11-10 11:11:16 EST
perl-Text-Brew-0.02-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9aebb8879c
Comment 5 Fedora Update System 2015-11-10 11:11:16 EST
perl-Text-Brew-0.02-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-baf4783ad5
Comment 6 Emmanuel Seyman 2015-11-10 11:22:19 EST
Humm... Looks like my previous comment didn't make it here...

(In reply to Jitka Plesnikova from comment #2)
>
> FIX: Please add following BRs
>   - make - used in spec file

One day, I'll get this right from the getgo. Added.

>   - perl(warnings) - lib/Text/Brew.pm:4, Makefile.PL:2

Added.

> FIX: Remove perl(Exporter), it is listed twice.

Indeed. Fixed.

> TODO: Please sort the list of BRs.

That would make much more sense, wouldn't it? Done.

> APPROVED.

Built on all branches. Updates released for F23 and F22.
Jitka, thanks for the review. Jon, thank you for the git repo.
Comment 7 Fedora Update System 2015-11-10 19:50:18 EST
perl-Text-Brew-0.02-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Text-Brew'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-baf4783ad5
Comment 8 Fedora Update System 2015-11-10 21:22:54 EST
perl-Text-Brew-0.02-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Text-Brew'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9aebb8879c
Comment 9 Fedora Update System 2015-11-20 10:24:32 EST
perl-Text-Brew-0.02-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-11-21 21:24:18 EST
perl-Text-Brew-0.02-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.